curl --request DELETE \
--url https://api.arize.com/v2/datasets/{dataset_id}/examples \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataset_version_id": "RGF0YXNldFZlcnNpb246MTIzNDU=",
"example_ids": [
"550e8400-e29b-41d4-a716-446655440000",
"6ba7b810-9dad-11d1-80b4-00c04fd430c8"
]
}
'import requests
url = "https://api.arize.com/v2/datasets/{dataset_id}/examples"
payload = {
"dataset_version_id": "RGF0YXNldFZlcnNpb246MTIzNDU=",
"example_ids": ["550e8400-e29b-41d4-a716-446655440000", "6ba7b810-9dad-11d1-80b4-00c04fd430c8"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataset_version_id: 'RGF0YXNldFZlcnNpb246MTIzNDU=',
example_ids: ['550e8400-e29b-41d4-a716-446655440000', '6ba7b810-9dad-11d1-80b4-00c04fd430c8']
})
};
fetch('https://api.arize.com/v2/datasets/{dataset_id}/examples', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.arize.com/v2/datasets/{dataset_id}/examples",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'dataset_version_id' => 'RGF0YXNldFZlcnNpb246MTIzNDU=',
'example_ids' => [
'550e8400-e29b-41d4-a716-446655440000',
'6ba7b810-9dad-11d1-80b4-00c04fd430c8'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.arize.com/v2/datasets/{dataset_id}/examples"
payload := strings.NewReader("{\n \"dataset_version_id\": \"RGF0YXNldFZlcnNpb246MTIzNDU=\",\n \"example_ids\": [\n \"550e8400-e29b-41d4-a716-446655440000\",\n \"6ba7b810-9dad-11d1-80b4-00c04fd430c8\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.arize.com/v2/datasets/{dataset_id}/examples")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"dataset_version_id\": \"RGF0YXNldFZlcnNpb246MTIzNDU=\",\n \"example_ids\": [\n \"550e8400-e29b-41d4-a716-446655440000\",\n \"6ba7b810-9dad-11d1-80b4-00c04fd430c8\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.arize.com/v2/datasets/{dataset_id}/examples")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"dataset_version_id\": \"RGF0YXNldFZlcnNpb246MTIzNDU=\",\n \"example_ids\": [\n \"550e8400-e29b-41d4-a716-446655440000\",\n \"6ba7b810-9dad-11d1-80b4-00c04fd430c8\"\n ]\n}"
response = http.request(request)
puts response.read_bodyDelete dataset examples
Delete a collection of examples from a dataset by their IDs.
The delete is partial-tolerant: examples that exist in the selected version are deleted, and every requested ID that was not deleted is reported back.
A 200 OK response always includes:
completed—trueif the operation finished and no retry is needed;falseif it could not fully complete (retry the full request).deleted_example_ids— example IDs confirmed deleted in this request.not_deleted_example_ids— requested IDs not deleted: either not found in the selected version (never added, or already deleted), or not completed whencompletedisfalse.
The delete operation is idempotent — re-submitting already-deleted IDs is safe.
Payload Requirements
dataset_version_idis required and identifies the version to delete from.example_idsmust contain at least one ID and at most 1000 IDs.example_idsmust not contain duplicate or empty IDs.
Valid example
{
"dataset_version_id": "RGF0YXNldFZlcnNpb246MTIzNDU=",
"example_ids": [
"550e8400-e29b-41d4-a716-446655440000",
"6ba7b810-9dad-11d1-80b4-00c04fd430c8"
]
}
Invalid example (missing dataset_version_id)
{
"example_ids": ["550e8400-e29b-41d4-a716-446655440000"]
}
curl --request DELETE \
--url https://api.arize.com/v2/datasets/{dataset_id}/examples \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataset_version_id": "RGF0YXNldFZlcnNpb246MTIzNDU=",
"example_ids": [
"550e8400-e29b-41d4-a716-446655440000",
"6ba7b810-9dad-11d1-80b4-00c04fd430c8"
]
}
'import requests
url = "https://api.arize.com/v2/datasets/{dataset_id}/examples"
payload = {
"dataset_version_id": "RGF0YXNldFZlcnNpb246MTIzNDU=",
"example_ids": ["550e8400-e29b-41d4-a716-446655440000", "6ba7b810-9dad-11d1-80b4-00c04fd430c8"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataset_version_id: 'RGF0YXNldFZlcnNpb246MTIzNDU=',
example_ids: ['550e8400-e29b-41d4-a716-446655440000', '6ba7b810-9dad-11d1-80b4-00c04fd430c8']
})
};
fetch('https://api.arize.com/v2/datasets/{dataset_id}/examples', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.arize.com/v2/datasets/{dataset_id}/examples",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'dataset_version_id' => 'RGF0YXNldFZlcnNpb246MTIzNDU=',
'example_ids' => [
'550e8400-e29b-41d4-a716-446655440000',
'6ba7b810-9dad-11d1-80b4-00c04fd430c8'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.arize.com/v2/datasets/{dataset_id}/examples"
payload := strings.NewReader("{\n \"dataset_version_id\": \"RGF0YXNldFZlcnNpb246MTIzNDU=\",\n \"example_ids\": [\n \"550e8400-e29b-41d4-a716-446655440000\",\n \"6ba7b810-9dad-11d1-80b4-00c04fd430c8\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.arize.com/v2/datasets/{dataset_id}/examples")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"dataset_version_id\": \"RGF0YXNldFZlcnNpb246MTIzNDU=\",\n \"example_ids\": [\n \"550e8400-e29b-41d4-a716-446655440000\",\n \"6ba7b810-9dad-11d1-80b4-00c04fd430c8\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.arize.com/v2/datasets/{dataset_id}/examples")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"dataset_version_id\": \"RGF0YXNldFZlcnNpb246MTIzNDU=\",\n \"example_ids\": [\n \"550e8400-e29b-41d4-a716-446655440000\",\n \"6ba7b810-9dad-11d1-80b4-00c04fd430c8\"\n ]\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Service accounts may instead present an access token issued by an external identity provider (Microsoft Entra ID) when the account admin has configured that provider. Send it in the same header: Authorization: Bearer <access-token>.
Path Parameters
Body
Body containing the IDs of dataset examples to delete
Body containing the IDs of dataset examples to delete
Response
Dataset examples deleted. The delete is partial-tolerant: existing examples are deleted and every requested ID not deleted is reported back. The response body always includes:
completed:trueif the operation finished;falseif it could not fully complete (retry the full request).deleted_example_ids: IDs confirmed deleted.not_deleted_example_ids: requested IDs not deleted — not found in the selected version, or not completed whencompletedisfalse.
Result of a DELETE dataset examples request.
The delete is partial-tolerant: examples that exist in the selected version
are deleted, and every requested ID that was not deleted is reported in
not_deleted_example_ids so the caller can act on it.
A 200 OK response always includes:
completed—trueif the operation finished and no retry is needed;falseif it could not fully complete (retry the full request).deleted_example_ids— example IDs confirmed deleted in this request.not_deleted_example_ids— requested IDs not deleted: either not found in the selected version (never added, or already deleted), or whose deletion did not complete whencompletedisfalse.
Was this page helpful?